## Playwright 
### Install
```
yarn playwright install
npm install -g ts-node
```
### Run Test
- Usage: 
```
yarn run test:playwright <version> <hotelId> <startDate> <endDate> <children> <adults> <promocode>
```
- Example: 
```
yarn playwright test 2/6.13 fa737326-ccdb-496a-bd31-2fbc3e97ed59 2024-08-28 2024-08-30 1 2
```

### Run the script as a standalone
- Usage: 
```
ts-node ./playwright-scripts/price.ts <version> <hotelId> <startDate> <endDate> <children> <adults> <promocode>
```
- Example: 
```
ts-node ./playwright-scripts/price.ts 2/6.13 fa737326-ccdb-496a-bd31-2fbc3e97ed59 2024-08-28 2024-08-30 1 2
```